> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poix.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get channels details

> Get details for channels by their IDs, handle, or username.



## OpenAPI

````yaml get /channels
openapi: 3.1.0
info:
  version: 1.0.0
  title: Poix API
servers:
  - url: https://api.poix.io
    description: Production server
security: []
paths:
  /channels:
    get:
      summary: Get channels details
      description: Get details for channels by their IDs, handle, or username.
      operationId: getChannelsDetails
      parameters:
        - schema:
            type: string
            description: >-
              An array of channel IDs to retrieve data for. Each ID should be a
              valid channel ID.
          required: false
          description: >-
            An array of channel IDs to retrieve data for. Each ID should be a
            valid channel ID.
          name: ids
          in: query
        - schema:
            type: string
            description: >-
              The unique channel handle of the channel for which you want to
              retrieve data.
          required: false
          description: >-
            The unique channel handle of the channel for which you want to
            retrieve data.
          name: forHandle
          in: query
        - schema:
            type: string
            description: >-
              The unique channel username of the channel for which you want to
              retrieve data. This is the legacy username format.
          required: false
          description: >-
            The unique channel username of the channel for which you want to
            retrieve data. This is the legacy username format.
          name: forUsername
          in: query
        - schema:
            type: string
            enum:
              - af
              - am
              - ar
              - as
              - az
              - be
              - bg
              - bn
              - bs
              - ca
              - cs
              - da
              - de
              - el
              - en-GB
              - en-IN
              - en
              - es
              - es-419
              - es-US
              - et
              - eu
              - fa
              - fi
              - fil
              - fr-CA
              - fr
              - gl
              - gu
              - hi
              - hr
              - hu
              - hy
              - id
              - is
              - it
              - iw
              - ja
              - ka
              - kk
              - km
              - kn
              - ko
              - ky
              - lo
              - lt
              - lv
              - mk
              - ml
              - mn
              - mr
              - ms
              - my
              - 'no'
              - ne
              - nl
              - or
              - pa
              - pl
              - pt
              - pt-PT
              - ro
              - ru
              - si
              - sk
              - sl
              - sq
              - sr-Latn
              - sr
              - sv
              - sw
              - ta
              - te
              - th
              - tr
              - uk
              - ur
              - uz
              - vi
              - zh-CN
              - zh-HK
              - zh-TW
              - zu
            description: >-
              The language to retrieve localized data in. If not specified, the
              default language will be used.
          required: false
          description: >-
            The language to retrieve localized data in. If not specified, the
            default language will be used.
          name: hl
          in: query
        - schema:
            type: string
            description: >-
              An array of fields to include in the response. If not provided,
              all fields will be returned.
          required: false
          description: >-
            An array of fields to include in the response. If not provided, all
            fields will be returned.
          name: fields
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalResults:
                    type: number
                    description: Total number of channels returned
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier for the YouTube channel
                        title:
                          type: string
                          description: The channel's title
                        description:
                          type: string
                          description: The channel's description
                        keywords:
                          type: string
                          description: Comma-separated keywords associated with the channel
                        unsubscribedTrailer:
                          type: string
                          description: >-
                            The ID of the channel's trailer video for
                            unsubscribed viewers
                        country:
                          type: string
                          description: The country where the channel is based
                        customUrl:
                          type: string
                          description: The custom URL of the channel, if set
                        publishedAt:
                          type: string
                          description: >-
                            The date and time when the channel was created (ISO
                            8601 format)
                        viewCount:
                          type: string
                          description: The number of times the channel has been viewed
                        subscriberCount:
                          type: string
                          description: The number of subscribers the channel has
                        hiddenSubscriberCount:
                          type: boolean
                          description: >-
                            Indicates if the channel's subscriber count is
                            publicly visible
                        videoCount:
                          type: string
                          description: The number of public videos uploaded to the channel
                        topicIds:
                          type: array
                          items:
                            type: string
                          description: A list of topic IDs associated with the channel
                        topicCategories:
                          type: array
                          items:
                            type: string
                          description: >-
                            A list of topic categories associated with the
                            channel
                        relatedPlaylists:
                          type: object
                          properties:
                            likes:
                              type: string
                              description: >-
                                The ID of the playlist containing videos liked
                                by the channel
                            uploads:
                              type: string
                              description: >-
                                The ID of the playlist containing videos
                                uploaded to the channel
                          required:
                            - likes
                            - uploads
                        privacyStatus:
                          type: string
                          description: >-
                            The privacy status of the channel (e.g., "public",
                            "private", "unlisted")
                        isLinked:
                          type: boolean
                          description: >-
                            Indicates if the channel is linked to either a
                            YouTube content owner or a YouTube user
                        longUploadsStatus:
                          type: string
                          description: >-
                            The status of the channel for featuring longer
                            videos
                        madeForKids:
                          type: boolean
                          description: >-
                            Indicates if the channel is designated as
                            child-directed and complies with the Children's
                            Online Privacy Protection Act (COPPA)
                        bannerExternalUrl:
                          type: string
                          description: >-
                            The URL of the banner image shown on the channel
                            page on desktop
                        thumbnailUrl:
                          type: string
                          description: The URL of the channel's thumbnail image
                        thumbnails:
                          type: object
                          properties:
                            default:
                              type: object
                              properties:
                                url:
                                  type: string
                                  description: The URL of the thumbnail image
                                width:
                                  type: number
                                  description: The width of the thumbnail image in pixels
                                height:
                                  type: number
                                  description: The height of the thumbnail image in pixels
                              required:
                                - url
                                - width
                                - height
                            medium:
                              type: object
                              properties:
                                url:
                                  type: string
                                  description: The URL of the thumbnail image
                                width:
                                  type: number
                                  description: The width of the thumbnail image in pixels
                                height:
                                  type: number
                                  description: The height of the thumbnail image in pixels
                              required:
                                - url
                                - width
                                - height
                            high:
                              type: object
                              properties:
                                url:
                                  type: string
                                  description: The URL of the thumbnail image
                                width:
                                  type: number
                                  description: The width of the thumbnail image in pixels
                                height:
                                  type: number
                                  description: The height of the thumbnail image in pixels
                              required:
                                - url
                                - width
                                - height
                          required:
                            - default
                            - medium
                            - high
                          description: >-
                            An object containing thumbnail images for the
                            channel in different sizes
                      required:
                        - id
                    description: Array of channel objects
                required:
                  - totalResults
                  - data
              example:
                totalResults: 1
                data:
                  - id: UCuAXFkgsw1L7xaCfnd5JJOw
                    title: Rick Astley
                    description: '''Free'' Remaster out now!'
                    keywords: >-
                      Official Rick Astley "rick astley" "never gonna give you
                      up" "the best of me" "best of me" "together forever" "cry
                      for help" "beautiful life" "official video" "official
                      audio" rickroll rickrolled "rick roll" "rick asltey" "give
                      up" meme
                    unsubscribedTrailer: mIHHfNVfhPk
                    country: GB
                    customUrl: '@rickastleyyt'
                    publishedAt: '2015-02-01T16:32:30Z'
                    thumbnails:
                      default:
                        url: >-
                          https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s88-c-k-c0x00ffffff-no-rj
                        width: 88
                        height: 88
                      medium:
                        url: >-
                          https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s240-c-k-c0x00ffffff-no-rj
                        width: 240
                        height: 240
                      high:
                        url: >-
                          https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s800-c-k-c0x00ffffff-no-rj
                        width: 800
                        height: 800
                    viewCount: '2100929381'
                    subscriberCount: '4160000'
                    hiddenSubscriberCount: false
                    videoCount: '265'
                    topicIds:
                      - /m/04rlf
                      - /m/0gywn
                      - /m/06by7
                      - /m/064t9
                    topicCategories:
                      - https://en.wikipedia.org/wiki/Music
                      - https://en.wikipedia.org/wiki/Soul_music
                      - https://en.wikipedia.org/wiki/Rock_music
                      - https://en.wikipedia.org/wiki/Pop_music
                    relatedPlaylists:
                      likes: ''
                      uploads: UUuAXFkgsw1L7xaCfnd5JJOw
                    privacyStatus: public
                    isLinked: true
                    longUploadsStatus: longUploadsUnspecified
                    madeForKids: false
                    bannerExternalUrl: >-
                      https://yt3.googleusercontent.com/KBtTGhBjiM4CD9oUrQke85BALlD1Tt-QFh_AQqzJIQJXFUQt1mtS6jJjIJkQDEbphga9O1Kt
                    thumbnailUrl: >-
                      https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s240-c-k-c0x00ffffff-no-rj
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            maximum:
                              type: number
                            type:
                              type: string
                            inclusive:
                              type: boolean
                            exact:
                              type: boolean
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                            received:
                              type: string
                            options:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - message
                            - path
                      name:
                        type: string
                        enum:
                          - ZodError
                    required:
                      - issues
                      - name
                required:
                  - success
                  - error
              example:
                success: false
                error:
                  issues:
                    - received: defaultLanguage
                      code: invalid_enum_value
                      options:
                        - title
                        - description
                        - keywords
                        - country
                        - customUrl
                        - publishedAt
                        - viewCount
                        - subscriberCount
                        - hiddenSubscriberCount
                        - unsubscribedTrailer
                        - videoCount
                        - topicIds
                        - topicCategories
                        - relatedPlaylists
                        - privacyStatus
                        - isLinked
                        - longUploadsStatus
                        - madeForKids
                        - bannerExternalUrl
                        - thumbnailUrl
                        - localizations
                        - thumbnails
                      path:
                        - fields
                        - 1
                      message: >-
                        Invalid enum value. Expected 'title' | 'description' |
                        'keywords' | 'country' | 'customUrl' | 'publishedAt' |
                        'viewCount' | 'subscriberCount' |
                        'hiddenSubscriberCount' | 'unsubscribedTrailer' |
                        'videoCount' | 'topicIds' | 'topicCategories' |
                        'relatedPlaylists' | 'privacyStatus' | 'isLinked' |
                        'longUploadsStatus' | 'madeForKids' |
                        'bannerExternalUrl' | 'thumbnailUrl' | 'localizations' |
                        'thumbnails', received 'defaultLanguage'
                  name: ZodError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                required:
                  - error
              example:
                error:
                  message: Forbidden
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````